## sgt-puzzles 8853

=== Makefile ===
# Makefile for puzzles under X/GTK and Unix.
#
# This file was created by `mkfiles.pl' from the `Recipe' file.
# DO NOT EDIT THIS FILE DIRECTLY; edit Recipe or mkfiles.pl instead.

# You can define this path to point at your tools if you need to
# TOOLPATH = /opt/gcc/bin
CC := $(TOOLPATH)$(CC)
# You can manually set this to `gtk-config' or `pkg-config gtk+-1.2'
# (depending on what works on your system) if you want to enforce
# building with GTK 1.2, or you can set it to `pkg-config gtk+-2.0'
# if you want to enforce 2.0. The default is to try 2.0 and fall back
# to 1.2 if it isn't found.
GTK_CONFIG = sh -c 'pkg-config gtk+-2.0 $$0 2>/dev/null || gtk-config $$0'

CFLAGS := -O2 -Wall -Werror -ansi -pedantic -g -I./ -Iicons/ `$(GTK_CONFIG) \
		--cflags` $(CFLAGS)
XLIBS = `$(GTK_CONFIG) --libs`
ULIBS =#
INSTALL=install
INSTALL_PROGRAM=$(INSTALL)
INSTALL_DATA=$(INSTALL)
prefix=/usr/local
exec_prefix=$(prefix)
bindir=$(exec_prefix)/bin
gamesdir=$(exec_prefix)/games
mandir=$(prefix)/man
man1dir=$(mandir)/man1

all: blackbox bridges cube dominosa fifteen filling fillingsolver flip \
		galaxies galaxiespicture galaxiessolver guess inertia keen \
		keensolver latincheck lightup lightupsolver loopy \
		loopysolver magnets magnetssolver map mapsolver mineobfusc \
		mines net netslide nullgame obfusc pattern patternsolver \
		pegs rect samegame singles singlessolver sixteen slant \
		slantsolver solo solosolver tents tentssolver towers \
		towerssolver twiddle unequal unequalsolver untangle

blackbox: blackbox.o blackbox-icon.o drawing.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ blackbox.o blackbox-icon.o drawing.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  $(XLIBS)

bridges: bridges.o bridges-icon.o drawing.o dsf.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ bridges.o bridges-icon.o drawing.o dsf.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  $(XLIBS)

cube: cube.o cube-icon.o drawing.o gtk.o malloc.o midend.o misc.o printing.o \
		ps.o random.o version.o
	$(CC) -o $@ cube.o cube-icon.o drawing.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o  $(XLIBS)

dominosa: dominosa.o dominosa-icon.o drawing.o gtk.o laydomino.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ dominosa.o dominosa-icon.o drawing.o gtk.o laydomino.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLIBS)

fifteen: drawing.o fifteen.o fifteen-icon.o gtk.o malloc.o midend.o misc.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o fifteen.o fifteen-icon.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  $(XLIBS)

filling: drawing.o dsf.o filling.o filling-icon.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o dsf.o filling.o filling-icon.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  $(XLIBS)

fillingsolver: dsf.o filling2.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ dsf.o filling2.o malloc.o misc.o nullfe.o random.o  \
		$(ULIBS)

flip: drawing.o flip.o flip-icon.o gtk.o malloc.o midend.o misc.o printing.o \
		ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o flip.o flip-icon.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o tree234.o version.o  \
		$(XLIBS)

galaxies: drawing.o dsf.o galaxies.o galaxies-icon.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o dsf.o galaxies.o galaxies-icon.o gtk.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLIBS)

galaxiespicture: dsf.o galaxie4.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ dsf.o galaxie4.o malloc.o misc.o nullfe.o random.o -lm \
		$(ULIBS)

galaxiessolver: dsf.o galaxie2.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ dsf.o galaxie2.o malloc.o misc.o nullfe.o random.o -lm \
		$(ULIBS)

guess: drawing.o gtk.o guess.o guess-icon.o malloc.o midend.o misc.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o guess.o guess-icon.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o  $(XLIBS)

inertia: drawing.o gtk.o inertia.o inertia-icon.o malloc.o midend.o misc.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o inertia.o inertia-icon.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  $(XLIBS)

keen: drawing.o dsf.o gtk.o keen.o keen-icon.o latin.o malloc.o maxflow.o \
		midend.o misc.o printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o keen.o keen-icon.o latin.o \
		malloc.o maxflow.o midend.o misc.o printing.o ps.o random.o \
		tree234.o version.o  $(XLIBS)

keensolver: dsf.o keen2.o latin6.o malloc.o maxflow.o misc.o nullfe.o \
		random.o tree234.o
	$(CC) -o $@ dsf.o keen2.o latin6.o malloc.o maxflow.o misc.o \
		nullfe.o random.o tree234.o  $(ULIBS)

latincheck: latin8.o malloc.o maxflow.o misc.o nullfe.o random.o tree234.o
	$(CC) -o $@ latin8.o malloc.o maxflow.o misc.o nullfe.o random.o \
		tree234.o  $(ULIBS)

lightup: combi.o drawing.o gtk.o lightup.o lightup-icon.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ combi.o drawing.o gtk.o lightup.o lightup-icon.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLIBS)

lightupsolver: combi.o lightup2.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ combi.o lightup2.o malloc.o misc.o nullfe.o random.o  \
		$(ULIBS)

loopy: drawing.o dsf.o grid.o gtk.o loopy.o loopy-icon.o malloc.o midend.o \
		misc.o printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o dsf.o grid.o gtk.o loopy.o loopy-icon.o \
		malloc.o midend.o misc.o printing.o ps.o random.o tree234.o \
		version.o  $(XLIBS)

loopysolver: dsf.o grid.o loopy2.o malloc.o misc.o nullfe.o random.o \
		tree234.o
	$(CC) -o $@ dsf.o grid.o loopy2.o malloc.o misc.o nullfe.o random.o \
		tree234.o -lm $(ULIBS)

magnets: drawing.o gtk.o laydomino.o magnets.o magnets-icon.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o laydomino.o magnets.o magnets-icon.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLIBS)

magnetssolver: laydomino.o magnets2.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ laydomino.o magnets2.o malloc.o misc.o nullfe.o random.o \
		-lm $(ULIBS)

map: drawing.o dsf.o gtk.o malloc.o map.o map-icon.o midend.o misc.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o map.o map-icon.o midend.o \
		misc.o printing.o ps.o random.o version.o  $(XLIBS)

mapsolver: dsf.o malloc.o map2.o misc.o nullfe.o random.o
	$(CC) -o $@ dsf.o malloc.o map2.o misc.o nullfe.o random.o -lm \
		$(ULIBS)

mineobfusc: malloc.o mines2.o misc.o nullfe.o random.o tree234.o
	$(CC) -o $@ malloc.o mines2.o misc.o nullfe.o random.o tree234.o  \
		$(ULIBS)

mines: drawing.o gtk.o malloc.o midend.o mines.o mines-icon.o misc.o \
		printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o mines.o mines-icon.o \
		misc.o printing.o ps.o random.o tree234.o version.o  \
		$(XLIBS)

net: drawing.o dsf.o gtk.o malloc.o midend.o misc.o net.o net-icon.o \
		printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o midend.o misc.o net.o \
		net-icon.o printing.o ps.o random.o tree234.o version.o  \
		$(XLIBS)

netslide: drawing.o gtk.o malloc.o midend.o misc.o netslide.o \
		netslide-icon.o printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o netslide.o \
		netslide-icon.o printing.o ps.o random.o tree234.o version.o \
		 $(XLIBS)

nullgame: drawing.o gtk.o malloc.o midend.o misc.o no-icon.o nullgame.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o no-icon.o \
		nullgame.o printing.o ps.o random.o version.o  $(XLIBS)

obfusc: malloc.o misc.o nullfe.o obfusc.o random.o
	$(CC) -o $@ malloc.o misc.o nullfe.o obfusc.o random.o  $(ULIBS)

pattern: drawing.o gtk.o malloc.o midend.o misc.o pattern.o pattern-icon.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o pattern.o \
		pattern-icon.o printing.o ps.o random.o version.o  $(XLIBS)

patternsolver: malloc.o misc.o nullfe.o pattern2.o random.o
	$(CC) -o $@ malloc.o misc.o nullfe.o pattern2.o random.o  $(ULIBS)

pegs: drawing.o gtk.o malloc.o midend.o misc.o pegs.o pegs-icon.o printing.o \
		ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o pegs.o \
		pegs-icon.o printing.o ps.o random.o tree234.o version.o  \
		$(XLIBS)

rect: drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o random.o \
		rect.o rect-icon.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o rect.o rect-icon.o version.o  $(XLIBS)

samegame: drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o random.o \
		samegame.o samegame-icon.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o samegame.o samegame-icon.o version.o  $(XLIBS)

singles: drawing.o dsf.o gtk.o latin.o malloc.o maxflow.o midend.o misc.o \
		printing.o ps.o random.o singles.o singles-icon.o tree234.o \
		version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o latin.o malloc.o maxflow.o \
		midend.o misc.o printing.o ps.o random.o singles.o \
		singles-icon.o tree234.o version.o  $(XLIBS)

singlessolver: dsf.o latin.o malloc.o maxflow.o misc.o nullfe.o random.o \
		singles3.o tree234.o
	$(CC) -o $@ dsf.o latin.o malloc.o maxflow.o misc.o nullfe.o \
		random.o singles3.o tree234.o  $(ULIBS)

sixteen: drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o random.o \
		sixteen.o sixteen-icon.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o sixteen.o sixteen-icon.o version.o  $(XLIBS)

slant: drawing.o dsf.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o slant.o slant-icon.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o midend.o misc.o \
		printing.o ps.o random.o slant.o slant-icon.o version.o  \
		$(XLIBS)

slantsolver: dsf.o malloc.o misc.o nullfe.o random.o slant2.o
	$(CC) -o $@ dsf.o malloc.o misc.o nullfe.o random.o slant2.o  \
		$(ULIBS)

solo: divvy.o drawing.o dsf.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o solo.o solo-icon.o version.o
	$(CC) -o $@ divvy.o drawing.o dsf.o gtk.o malloc.o midend.o misc.o \
		printing.o ps.o random.o solo.o solo-icon.o version.o  \
		$(XLIBS)

solosolver: divvy.o dsf.o malloc.o misc.o nullfe.o random.o solo2.o
	$(CC) -o $@ divvy.o dsf.o malloc.o misc.o nullfe.o random.o solo2.o  \
		$(ULIBS)

tents: drawing.o dsf.o gtk.o malloc.o maxflow.o midend.o misc.o printing.o \
		ps.o random.o tents.o tents-icon.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o maxflow.o midend.o misc.o \
		printing.o ps.o random.o tents.o tents-icon.o version.o  \
		$(XLIBS)

tentssolver: dsf.o malloc.o maxflow.o misc.o nullfe.o random.o tents3.o
	$(CC) -o $@ dsf.o malloc.o maxflow.o misc.o nullfe.o random.o \
		tents3.o  $(ULIBS)

towers: drawing.o gtk.o latin.o malloc.o maxflow.o midend.o misc.o \
		printing.o ps.o random.o towers.o towers-icon.o tree234.o \
		version.o
	$(CC) -o $@ drawing.o gtk.o latin.o malloc.o maxflow.o midend.o \
		misc.o printing.o ps.o random.o towers.o towers-icon.o \
		tree234.o version.o  $(XLIBS)

towerssolver: latin6.o malloc.o maxflow.o misc.o nullfe.o random.o towers2.o \
		tree234.o
	$(CC) -o $@ latin6.o malloc.o maxflow.o misc.o nullfe.o random.o \
		towers2.o tree234.o  $(ULIBS)

twiddle: drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o random.o \
		twiddle.o twiddle-icon.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o twiddle.o twiddle-icon.o version.o  $(XLIBS)

unequal: drawing.o gtk.o latin.o malloc.o maxflow.o midend.o misc.o \

=== icons/Makefile ===
# Makefile for Puzzles icons.

PUZZLES = blackbox bridges cube dominosa fifteen filling flip galaxies guess \
	  inertia keen lightup loopy magnets map mines net netslide pattern \
	  pegs rect samegame singles sixteen slant solo tents towers twiddle \
	  unequal untangle

BASE = $(patsubst %,%-base.png,$(PUZZLES))
WEB = $(patsubst %,%-web.png,$(PUZZLES))

IBASE = $(patsubst %,%-ibase.png,$(PUZZLES))
IBASE4 = $(patsubst %,%-ibase4.png,$(PUZZLES))
P48D24 = $(patsubst %,%-48d24.png,$(PUZZLES))
P48D8 = $(patsubst %,%-48d8.png,$(PUZZLES))
P48D4 = $(patsubst %,%-48d4.png,$(PUZZLES))
P32D24 = $(patsubst %,%-32d24.png,$(PUZZLES))
P32D8 = $(patsubst %,%-32d8.png,$(PUZZLES))
P32D4 = $(patsubst %,%-32d4.png,$(PUZZLES))
P16D24 = $(patsubst %,%-16d24.png,$(PUZZLES))
P16D8 = $(patsubst %,%-16d8.png,$(PUZZLES))
P16D4 = $(patsubst %,%-16d4.png,$(PUZZLES))
ICONS = $(patsubst %,%.ico,$(PUZZLES))
CICONS = $(patsubst %,%-icon.c,$(PUZZLES))
RC = $(patsubst %,%.rc,$(PUZZLES))

BIN = ../
PIC = ./

base: $(BASE)
web: $(WEB)
pngicons: $(P48D24) $(P32D24) $(P16D24)
winicons: $(ICONS) $(RC)
gtkicons: $(CICONS)
all: base web pngicons winicons gtkicons

# Build the base puzzle screenshots from which all the other images
# are derived. Some of them involve showing a move animation
# part-way through.
fifteen-base.png : override REDO=0.3
flip-base.png : override REDO=0.3
netslide-base.png : override REDO=0.3
sixteen-base.png : override REDO=0.3
twiddle-base.png : override REDO=0.3
$(BASE): %-base.png: $(BIN)% $(PIC)%.sav
	$(PIC)screenshot.sh $(BIN)$* $(PIC)$*.sav $@ $(REDO)

# Build the screenshots for the web, by scaling the original base
# images to a uniform size.
$(WEB): %-web.png: %-base.png
	$(PIC)square.pl 150 5 $^ $@

# Build the base _icon_ images, by careful cropping of the base
# images: icons are very small so it's often necessary to zoom in
# on a smaller portion of the screenshot.
blackbox-ibase.png : override CROP=352x352 144x144+0+208
bridges-ibase.png : override CROP=264x264 107x107+157+157
dominosa-ibase.png : override CROP=304x272 152x152+152+0
fifteen-ibase.png : override CROP=240x240 120x120+0+120
filling-ibase.png : override CROP=256x256 133x133+14+78
flip-ibase.png : override CROP=288x288 145x145+120+72
galaxies-ibase.png : override CROP=288x288 165x165+0+0
guess-ibase.png : override CROP=263x420 178x178+75+17
inertia-ibase.png : override CROP=321x321 128x128+193+0
keen-ibase.png : override CROP=288x288 96x96+24+120
lightup-ibase.png : override CROP=256x256 112x112+144+0
loopy-ibase.png : override CROP=257x257 113x113+0+0
magnets-ibase.png : override CROP=264x232 96x96+36+100
mines-ibase.png : override CROP=240x240 110x110+130+130
net-ibase.png : override CROP=193x193 113x113+0+80
netslide-ibase.png : override CROP=289x289 144x144+0+0
pattern-ibase.png : override CROP=384x384 223x223+0+0
pegs-ibase.png : override CROP=263x263 147x147+116+0
rect-ibase.png : override CROP=205x205 115x115+90+0
singles-ibase.png : override CROP=224x224 98x98+15+15
sixteen-ibase.png : override CROP=288x288 144x144+144+144
slant-ibase.png : override CROP=321x321 160x160+160+160
solo-ibase.png : override CROP=481x481 145x145+24+24
tents-ibase.png : override CROP=320x320 165x165+142+0
towers-ibase.png : override CROP=300x300 102x102+151+6
twiddle-ibase.png : override CROP=192x192 102x102+69+21
unequal-ibase.png : override CROP=208x208 104x104+104+104
untangle-ibase.png : override CROP=320x320 164x164+3+116
$(IBASE): %-ibase.png: %-base.png
	$(PIC)crop.sh $^ $@ $(CROP)

# Convert the full-size icon images to 4-bit colour, because that
# seems to work better than reducing it in 24 bits and then
# dithering.
$(IBASE4): %-ibase4.png: %-ibase.png
	convert -colors 16 +dither -map $(PIC)win16pal.xpm $^ $@

# Build the 24-bit PNGs for the icons, at three sizes.
$(P48D24): %-48d24.png: %-ibase.png
	$(PIC)square.pl 48 4 $^ $@
$(P32D24): %-32d24.png: %-ibase.png
	$(PIC)square.pl 32 2 $^ $@
$(P16D24): %-16d24.png: %-ibase.png
	$(PIC)square.pl 16 1 $^ $@

# The 8-bit icon PNGs are just custom-paletted quantisations of the
# 24-bit ones.
$(P48D8) $(P32D8) $(P16D8): %d8.png: %d24.png
	convert -colors 256 $^ $@

# But the depth-4 images work better if we re-shrink from the
# ibase4 versions of the images, and then normalise the colours
# again afterwards. (They're still not very good, but my hope is
# that on most modern Windows machines this won't matter too
# much...)
$(P48D4): %-48d4.png: %-ibase4.png
	$(PIC)square.pl 48 1 $^ $@-tmp2.png
	convert -colors 16 -map $(PIC)win16pal.xpm $@-tmp2.png $@
	rm -f $@-tmp2.png
$(P32D4): %-32d4.png: %-ibase.png
	$(PIC)square.pl 32 1 $^ $@-tmp2.png
	convert -colors 16 -map $(PIC)win16pal.xpm $@-tmp2.png $@
	rm -f $@-tmp2.png
$(P16D4): %-16d4.png: %-ibase.png
	$(PIC)square.pl 16 1 $^ $@-tmp2.png
	convert -colors 16 -map $(PIC)win16pal.xpm $@-tmp2.png $@
	rm -f $@-tmp2.png

# Build the actual Windows icons themselves, by feeding all those
# PNGs to my icon builder script.
$(ICONS): %.ico: %-48d24.png %-48d8.png %-48d4.png \
                 %-32d24.png %-32d8.png %-32d4.png \
                 %-16d24.png %-16d8.png %-16d4.png
	$(PIC)icon.pl -24 $*-48d24.png $*-32d24.png $*-16d24.png \
		      -8  $*-48d8.png  $*-32d8.png  $*-16d8.png  \
		      -4  $*-48d4.png  $*-32d4.png  $*-16d4.png  > $@

# Build the .RC files which bind the icons into the applications.
$(RC): %.rc:
	echo '#include "puzzles.rc2"' > $@
	echo '200 ICON "$*.ico"' >> $@

# Build the GTK icon source files.
$(CICONS): %-icon.c: %-16d24.png %-32d24.png %-48d24.png
	$(PIC)cicon.pl $^ > $@	

clean:
	rm -f *.png *.ico *.rc *-icon.c

## sgt-puzzles 8853-1maemo1

=== debian/changelog ===
sgt-puzzles (8853-1maemo1) karmic; urgency=low

  * new upstream version
  * further maemofications

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 26 Jan 2010 13:55:31 +0000

sgt-puzzles (8605-1maemo3) karmic; urgency=low

  * add bugtracker url
  * fix hang in random seed menu
  * remove doc links 

 -- Riku Voipio <riku.voipio@iki.fi>  Thu, 14 Jan 2010 09:15:36 +0000

sgt-puzzles (8605-1maemo2) karmic; urgency=low

  * setup user/games section, icon and other maemofications
  * right mouse = control + click
  * miffle mouse = shift + click

 -- Riku Voipio <riku.voipio@iki.fi>  Thu,  7 Jan 2010 09:19:59 +0000

sgt-puzzles (8605-1maemo1) karmic; urgency=low

  * Initial maemo extras upload
  * added launcher app
  * optified

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 04 Jan 2010 18:47:15 +0200

sgt-puzzles (8605-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #417682
    - Add xpm icons files for the menus
    - debian/rules adapted to install desktop and icons files
    - typo in debian/desktop/netslide.desktop

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sun, 23 Aug 2009 17:23:32 +0530

sgt-puzzles (8605-1) unstable; urgency=low

  * New upstream release
  * Force use of bash in debian/rules - closes: #535418
  * Update German translation, thanks to Helge Kreutzmann
  * Fix generation of translated manual pages - closes: #528042 (again)
    - Do not require the associated locale to be installed at build time
    - Tell Halibut that the input and output files are UTF-8-encoded

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 16 Aug 2009 19:26:56 +0100

sgt-puzzles (8541-2) unstable; urgency=low

  * Update German translation, thanks to Helge Kreutzmann
  * Install translated online help and manual pages - closes: #528042
  * Use g_spawn_async() to run help browser
    - Avoids zombie processes - closes LP: #385149
    - Avoids showing an error box in the child process, which would
      cause the parent to abort

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 13 Jun 2009 04:37:18 +0100

sgt-puzzles (8541-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - Add xpm icons files for the menus
    - debian/rules adapted to install desktop and icons files

 -- Didier Roche <didrocks@ubuntu.com>  Sat, 23 May 2009 09:16:36 +0200

sgt-puzzles (8541-1) unstable; urgency=low

  * New upstream release
  * Add partial German translation of documentation - closes: #522438
  * Fix command in netslide desktop file - closes LP: #272942
  * Update policy version to 3.8.1; no changes required

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 05 May 2009 00:26:46 +0100

sgt-puzzles (8446-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - typos in debian/desktop/netslide.desktop (Exec=netslide)
    - xpm icons files for the menus
    - debian/rules adapted to install desktop and icons files.

 -- Didier Roche <didrocks@ubuntu.com>  Sun, 03 May 2009 14:54:23 +0200

sgt-puzzles (8446-1) unstable; urgency=low

  * New upstream release
    - Obsoletes patches 101, 103, 204
    - Adds test for fwrite() failure - closes: #505157
    - Fixes bug in the Light Up solver
    - Adds keyboard control to many puzzles - closes: #417547
  * Remove obsolete patch to Unequal hit detection - closes: #501197
  * Update policy version to 3.8.0:
    - Add README.source
  * Add Vcs-* fields for my public repository
  * Add support for translation of the documentation - closes: #483665
  * Fix gcc 4.4 warnings - closes: #505359
    - Add 106_fix-uninit-warning.diff
    - Other warning fixed upstream
  * Add .desktop files, thanks to Didier Roche - closes: #495561

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 16 Feb 2009 01:03:44 +0000

sgt-puzzles (7983-1ubuntu2) intrepid; urgency=low

  * Correct netslide wrong execltable command in
    debian/dekstop/netslide.desktop (LP: #272942) 

 -- Didier Roche <didrocks@ubuntu-fr.org>  Mon, 22 Sep 2008 07:37:20 +0200

sgt-puzzles (7983-1ubuntu1) intrepid; urgency=low

  * add 306_fix-ftbfs-with-fortify-source-2.diff to fix FTBFS in gtk.c (LP:
    #255086)
  * add desktop files and xpm files (one for each game) to the menu in
    debian/desktop (LP: #61039)

 -- Didier Roche <didrocks@ubuntu-fr.org>  Sat, 09 Aug 2008 14:47:58 +0200

sgt-puzzles (7983-1) unstable; urgency=low

  * New upstream release
  * Moved common code into a private shared library, halving package
    size and installed size
  * Implemented highlighting of more kinds of error in Loopy
  * Changed encoding of copyright file to UTF-8
  * Updated standards-version to 3.7.3 (no other changes required)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 13 Apr 2008 17:39:38 +0100

sgt-puzzles (7703-1) unstable; urgency=low

  * New upstream release
  * Moved changes into patches applied with quilt
  * Removed dependency of online help on GNOME - closes: #429864, #437962

 -- Ben Hutchings <ben@decadent.org.uk>  Sat,  6 Oct 2007 23:36:20 +0100

sgt-puzzles (7636-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Sun,  8 Jul 2007 01:36:53 +0100

sgt-puzzles (7446-1) unstable; urgency=low

  * New upstream release - closes: #417543
  * Corrected minimum number of islands for Bridges - closes: #417541

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 24 Apr 2007 21:31:11 +0100

sgt-puzzles (7407-1) unstable; urgency=low

  * New upstream release adds Filling, Galaxies and Unequal puzzles
    - closes: #416009
  * Reverted to default version of gcc since bug #380541 has been fixed

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 27 Mar 2007 01:30:20 +0100

sgt-puzzles (6879-1) unstable; urgency=low

  * New upstream release
  * Changed window sizing to remember tile size when the puzzle type
    is changed - closes: #379452
  * Documented configuration variables - closes: #375055
  * Changed compiler to gcc-3.3 - closes: #391273



=== debian/control ===
Source: sgt-puzzles
Maintainer: Riku Voipio <riku.voipio@iki.fi>
XSBC-Original-Maintainer: Ben Hutchings <ben@decadent.org.uk>
Section: user/games
Priority: extra
Build-Depends: debhelper (>= 4), libgtk2.0-dev, perl, quilt, libhildon1-dev
Standards-Version: 3.8.1
Homepage: http://www.chiark.greenend.org.uk/~sgtatham/puzzles/
Vcs-Git: http://git.decadent.org.uk/git/sgt-puzzles.git/
Vcs-Browser: http://git.decadent.org.uk/gitweb?p=sgt-puzzles.git

Package: sgt-puzzles
Architecture: any
Depends: ${shlibs:Depends}, python-hildon
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=sgt-puzzles
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAIAAAAmKNuZAAAAAXNSR0IArs4c
 6QAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oBBwkKGDmUz7MAAATG
 SURBVEjHhVVNbxxFEK2qnp6ZnV1713Zsy0m8dpwPBAoJhiTIUoALCBGBBOIf
 IHEEkR+BxIELp5xA/AGEOCJCEBCJKFIsBQVHUYKNcawE8H5kZ2d2p6e7isPY
 uxsgoQ59mZpX9bpevcbbt24gEhKCCDw6EFEemyAiIuIhUevudqPRCCYnYJCP
 ACJEFIYhADjHzKy1BwDG5HluEGmAjogsPDU5WalUPCL67drqzbW1+osvsHOD
 DOdcOYqWl5etzYvKiOj7/vr6xsbmZnV8PAgCESHCJOmlaQJHj4yNjXmIiISe
 9n2tWSkuwADAOS8IdBiAQUAs6OggUL4OS9Gd9Y1LF78NwjBJknPnztUX68VP
 3pAcgAAECMQOkBxLSbiCmBOBCIgIUYBYEokQGvfuff/DZUQQgZXnnj1++BCy
 DOEAQEBKir68s7HaaI57nhPxlKrdXieWDnMqMkfklEriuJeb1uYWACApce6r
 za1LYfTe2ZWFAZwAsIAm/LPXe3vh4JGJiczachSdOHli3NdfXLv+09bWJ2++
 0czzjfWNe/f/uBZ3fgXwlDLOvVo/eOrppw6UQhmSRUBERFKIkR+Uw1DneTkM
 a5VK1fcrpbDk+xPjFTb5eDlqeWrlzOlDCwuIyCJzszMeiFZqj6yAc2ytzZmZ
 OXfW5Lmx1jMmSVNlbT/LcuuSJE1M3s/63SQplUozM9NRFCVJwiJx3GXm4d0Z
 k6Vp6hHZ3Pb7WZqmxjoR3tlp5L7uJt2+yf76q9EwJk16hw8fKgWlbpJ8+tnn
 58+/3+/1rbVa+wWcAEIURdVqtapUEPiVSrlarRpry+WoXp9vttrW00xkw2B+
 doYQp6f3lcvldrudpOkTx452u0me5+12u4BDABAWZmYEEWEWZnbOMXPabn/Q
 aF9fOWus7WzfvSDinM0yo7VnjAGBLDNZZqyzBcuhUHD3wMGWAiCyNKu1eGlJ
 AHa6MQgDIBafEPdmCMKc5xYRPXhsCIiwuNwCADAL4SMMgohIRLzR3h7KAAAQ
 LwhOrd+a73YAYLbZVE8eg1j2LOQhJkoRjMq4WEwAGRAmoqha/fDEcbIOAHh+
 P5RKO6221p7va609Zqe1r7UZAO/qrpemDx48YMTMmLjbbRE54U4nvnr1KrMM
 SirEVqt1d7ustU772eLS0uUrV5zJnbNzc3N7cKNC8YOxsbFarcoArVYrjru7
 vQOAiFKq188AMQyCSOStV15O425OlPZ6MirjwjJEBEAIQAEAgEIKPG/UgolI
 K4rC8M5O42s/8HNnjHktiRenpwu+Q4MqLM2IbHRiAGHAOI53BlR34TCOu2MC
 q/3sx3fehUoFMrP88UdH96zZG30N+iLPTE2u7jS24hgAM5MFnXhk6oKIWZYF
 3WSbGQQIgAkJaVByOFkEMMzP75976cD+wl5arVatVhtVIZFqNptTkxMXt+//
 fHONazWIY7GmoDZClpCIAMAAZLzr8LEIMQ9eOAEggS4A97OTtfEL331DgE6k
 vLDQk90l8USESDV/WSs2FwfNIqRp2okiHI4WkDBNU98PtNZKFQODzu9b/V5v
 9vVzUK97zrnFM6eFmUUQ/7li/96WAnp4FINknto3JSx4+9YNQFRKISL8f/xn
 hcKHWJj/BpO+vBgdnkicAAAAAElFTkSuQmCC
XB-Maemo-Display-Name: Puzzle Collection
Description: Simon Tatham's Portable Puzzle Collection - 1-player puzzle games
 Simon Tatham's Portable Puzzle Collection contains a number of popular
 puzzle games for one player.  It currently consists of these games:
 .
  * Topological deduction games: Bridges; Loopy; Map; Net, based on FreeNet;
    Slant
  * Tile manipulation games: Cube; Fifteen; Flip; Netslide; Sixteen; Twiddle
  * Black Box
  * Dominosa
  * Filling, based on Fillomino
  * Galaxies, based on Tentai Show
  * Guess, based on Mastermind
  * Inertia
  * Light Up
  * Mines, based on Minesweeper
  * Pattern, an implementation of nonograms
  * Pegs, an implementation of several versions of peg solitaire
  * Rectangles, based on Divide by Squares
  * Same Game
  * Solo, based on Sudoku
  * Tents
  * Unequal, based on Futoshiki
  * Untangle, based on Planarity
  * and others
 .  
 The following controls have been implemented to help N900 usage:
 .
  * right mouse = control + click
  * middle mouse = shift + click

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

# We require some bash features
override SHELL := /bin/bash

DEBIAN_VERSION := $(shell dpkg-parsechangelog | sed -r 's/^Version: //; t; d')
UPSTREAM_VERSION := $(shell echo $(DEBIAN_VERSION) | sed -r 's/^[0-9]*://; s/-[^-]*$$//')

#LANGUAGES := en $(patsubst debian/po/%.po,%,$(wildcard debian/po/*.po))

# Distributed files that we regenerate
DIST_REGEN_FILES := list.c Makefile Makefile.cyg Makefile.nestedvm Makefile.osx Makefile.vc Makefile.wce 
#puzzles.txt puzzles.hlp puzzles.cnt HACKING

build: build-indep build-arch

build-indep: build-indep-stamp
build-indep-stamp:
	touch build-indep-stamp

build-arch: build-arch-stamp
build-arch-stamp: Makefile
	$(MAKE) "VER=-DREVISION=$(UPSTREAM_VERSION)" \
	    "XFLAGS=-DDEBIAN_VERSION=\"\\\"$(DEBIAN_VERSION)\\\"\" -DSTYLUS_BASED=1 -DHELP_BROWSER_PATH=\"\\\"yelp:khelpcenter:sensible-browser\\\"\"" \
	    puzzles
#	$(MAKE) -f Makefile.doc
	touch build-arch-stamp

# We patch these sources and so must rebuild the Makefile.
Makefile : $(QUILT_STAMPFN) mkfiles.pl Recipe
	./mkfiles.pl

binary : binary-arch binary-indep

binary-arch : build
	dh_testroot
	dh_installdirs
	$(MAKE) DESTDIR=debian/sgt-puzzles install
	dh_strip
	dh_shlibdeps
	dh_installchangelogs
	dh_installdocs
#	cp debian/copyright-prefix \
	    debian/sgt-puzzles/usr/share/doc/sgt-puzzles/copyright
#	iconv -f iso8859-1 -t utf-8 < LICENCE \
	    >> debian/sgt-puzzles/usr/share/doc/sgt-puzzles/copyright
#	for lang in $(LANGUAGES); do \
		dh_installman --language=$${lang/en/C} doc/man-$$lang/* || exit; \
	done
#	dh_install debian/desktop/*.desktop usr/share/applications
#	for icon in icons/*-48d24.png; do \
#	    base="$$(basename $$icon -48d24.png)" && \
#	    if [ $$base = blackbox -o $$base = flip -o $$base = net ]; then \
#		base=$${base}game; \
#	    fi && \
#	    install -m644 $$icon debian/sgt-puzzles/usr/share/icons/hicolor/48x48/apps/$$base.png \
#	    || exit; \
#	done
	dh_link
	dh_compress
	dh_fixperms
	dh_installmenu
	mkdir -p -m755  debian/sgt-puzzles/usr/share/applications/hildon
	install -m644 debian/sgt-puzzles.desktop debian/sgt-puzzles/usr/share/applications/hildon/
	install -m644 icons/net-48d8.png debian/sgt-puzzles/usr/share/icons/hicolor/48x48/apps/netgame.png
	mkdir -p debian/sgt-puzzles/opt/
	mv debian/sgt-puzzles/usr/lib/sgt-puzzles/ debian/sgt-puzzles/opt/
	install -m755 debian/sgt-launcher debian/sgt-puzzles/opt/sgt-puzzles/
	mkdir -p -m755  debian/sgt-puzzles/opt/sgt-puzzles/pixmaps/
	install -m644 debian/desktop/*.xpm debian/sgt-puzzles/opt/sgt-puzzles/pixmaps/
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep :

$(QUILT_STAMPFN) : backup-regen-stamp install-po-stamp

backup-regen-stamp :
	mkdir -p debian/orig/
	cp $(DIST_REGEN_FILES) debian/orig/
	touch $@

install-po-stamp :
	mkdir -p po/
	cp -p debian/po/*.po po/
	touch $@

clean : unpatch
	! [ -d debian/orig ] || { mv debian/orig/* . && rmdir debian/orig ; }
	rm -rf po *-stamp
	dh_clean debian/substvars wingames.lst

unpatch : clean-patched

clean-patched :
	! [ -f Makefile ] || $(MAKE) clean
	! [ -d debian/orig ] || $(MAKE) -f Makefile.doc clean

get-orig-source :
	wget -O sgt-puzzles_$(UPSTREAM_VERSION).orig.tar.gz \
	    http://www.chiark.greenend.org.uk/~sgtatham/puzzles/puzzles-r$(UPSTREAM_VERSION).tar.gz

.PHONY : build binary binary-arch binary-dep clean clean-unpatched get-orig-source

## sgt-puzzles 8853-1maemo2

=== Makefile ===
# Makefile for puzzles under X/GTK and Unix.
#
# This file was created by `mkfiles.pl' from the `Recipe' file.
# DO NOT EDIT THIS FILE DIRECTLY; edit Recipe or mkfiles.pl instead.

# You can define this path to point at your tools if you need to
# TOOLPATH = /opt/gcc/bin
CC := $(TOOLPATH)$(CC)
# You can manually set this to `gtk-config' or `pkg-config gtk+-1.2'
# (depending on what works on your system) if you want to enforce
# building with GTK 1.2, or you can set it to `pkg-config gtk+-2.0'
# if you want to enforce 2.0. The default is to try 2.0 and fall back
# to 1.2 if it isn't found.
GTK_CONFIG = sh -c 'pkg-config gtk+-2.0 $$0 2>/dev/null || gtk-config $$0'

CFLAGS := -O2 -Wall -Werror -ansi -pedantic -g -I./ -Iicons/ `$(GTK_CONFIG) \
		--cflags` $(CFLAGS)
XLIBS = `$(GTK_CONFIG) --libs`
ULIBS =#
INSTALL=install
INSTALL_PROGRAM=$(INSTALL)
INSTALL_DATA=$(INSTALL)
prefix=/usr/local
exec_prefix=$(prefix)
bindir=$(exec_prefix)/bin
gamesdir=$(exec_prefix)/games
mandir=$(prefix)/man
man1dir=$(mandir)/man1

all: blackbox bridges cube dominosa fifteen filling fillingsolver flip \
		galaxies galaxiespicture galaxiessolver guess inertia keen \
		keensolver latincheck lightup lightupsolver loopy \
		loopysolver magnets magnetssolver map mapsolver mineobfusc \
		mines net netslide nullgame obfusc pattern patternsolver \
		pegs rect samegame singles singlessolver sixteen slant \
		slantsolver solo solosolver tents tentssolver towers \
		towerssolver twiddle unequal unequalsolver untangle

blackbox: blackbox.o drawing.o gtk.o malloc.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ blackbox.o drawing.o gtk.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o version.o  $(XLIBS)

bridges: bridges.o drawing.o dsf.o gtk.o malloc.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ bridges.o drawing.o dsf.o gtk.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o version.o  $(XLIBS)

cube: cube.o drawing.o gtk.o malloc.o midend.o misc.o no-icon.o printing.o \
		ps.o random.o version.o
	$(CC) -o $@ cube.o drawing.o gtk.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o version.o  $(XLIBS)

dominosa: dominosa.o drawing.o gtk.o laydomino.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o version.o
	$(CC) -o $@ dominosa.o drawing.o gtk.o laydomino.o malloc.o midend.o \
		misc.o no-icon.o printing.o ps.o random.o version.o  \
		$(XLIBS)

fifteen: drawing.o fifteen.o gtk.o malloc.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o fifteen.o gtk.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o version.o  $(XLIBS)

filling: drawing.o dsf.o filling.o gtk.o malloc.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o dsf.o filling.o gtk.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o version.o  $(XLIBS)

fillingsolver: dsf.o filling2.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ dsf.o filling2.o malloc.o misc.o nullfe.o random.o  \
		$(ULIBS)

flip: drawing.o flip.o gtk.o malloc.o midend.o misc.o no-icon.o printing.o \
		ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o flip.o gtk.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o tree234.o version.o  \
		$(XLIBS)

galaxies: drawing.o dsf.o galaxies.o gtk.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o dsf.o galaxies.o gtk.o malloc.o midend.o \
		misc.o no-icon.o printing.o ps.o random.o version.o  \
		$(XLIBS)

galaxiespicture: dsf.o galaxie4.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ dsf.o galaxie4.o malloc.o misc.o nullfe.o random.o -lm \
		$(ULIBS)

galaxiessolver: dsf.o galaxie2.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ dsf.o galaxie2.o malloc.o misc.o nullfe.o random.o -lm \
		$(ULIBS)

guess: drawing.o gtk.o guess.o malloc.o midend.o misc.o no-icon.o printing.o \
		ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o guess.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o version.o  $(XLIBS)

inertia: drawing.o gtk.o inertia.o malloc.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o inertia.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o version.o  $(XLIBS)

keen: drawing.o dsf.o gtk.o keen.o latin.o malloc.o maxflow.o midend.o \
		misc.o no-icon.o printing.o ps.o random.o tree234.o \
		version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o keen.o latin.o malloc.o maxflow.o \
		midend.o misc.o no-icon.o printing.o ps.o random.o tree234.o \
		version.o  $(XLIBS)

keensolver: dsf.o keen2.o latin6.o malloc.o maxflow.o misc.o nullfe.o \
		random.o tree234.o
	$(CC) -o $@ dsf.o keen2.o latin6.o malloc.o maxflow.o misc.o \
		nullfe.o random.o tree234.o  $(ULIBS)

latincheck: latin8.o malloc.o maxflow.o misc.o nullfe.o random.o tree234.o
	$(CC) -o $@ latin8.o malloc.o maxflow.o misc.o nullfe.o random.o \
		tree234.o  $(ULIBS)

lightup: combi.o drawing.o gtk.o lightup.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o version.o
	$(CC) -o $@ combi.o drawing.o gtk.o lightup.o malloc.o midend.o \
		misc.o no-icon.o printing.o ps.o random.o version.o  \
		$(XLIBS)

lightupsolver: combi.o lightup2.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ combi.o lightup2.o malloc.o misc.o nullfe.o random.o  \
		$(ULIBS)

loopy: drawing.o dsf.o grid.o gtk.o loopy.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o dsf.o grid.o gtk.o loopy.o malloc.o midend.o \
		misc.o no-icon.o printing.o ps.o random.o tree234.o \
		version.o  $(XLIBS)

loopysolver: dsf.o grid.o loopy2.o malloc.o misc.o nullfe.o random.o \
		tree234.o
	$(CC) -o $@ dsf.o grid.o loopy2.o malloc.o misc.o nullfe.o random.o \
		tree234.o -lm $(ULIBS)

magnets: drawing.o gtk.o laydomino.o magnets.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o laydomino.o magnets.o malloc.o midend.o \
		misc.o no-icon.o printing.o ps.o random.o version.o  \
		$(XLIBS)

magnetssolver: laydomino.o magnets2.o malloc.o misc.o nullfe.o random.o
	$(CC) -o $@ laydomino.o magnets2.o malloc.o misc.o nullfe.o random.o \
		-lm $(ULIBS)

map: drawing.o dsf.o gtk.o malloc.o map.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o map.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o version.o  $(XLIBS)

mapsolver: dsf.o malloc.o map2.o misc.o nullfe.o random.o
	$(CC) -o $@ dsf.o malloc.o map2.o misc.o nullfe.o random.o -lm \
		$(ULIBS)

mineobfusc: malloc.o mines2.o misc.o nullfe.o random.o tree234.o
	$(CC) -o $@ malloc.o mines2.o misc.o nullfe.o random.o tree234.o  \
		$(ULIBS)

mines: drawing.o gtk.o malloc.o midend.o mines.o misc.o no-icon.o printing.o \
		ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o mines.o misc.o \
		no-icon.o printing.o ps.o random.o tree234.o version.o  \
		$(XLIBS)

net: drawing.o dsf.o gtk.o malloc.o midend.o misc.o net.o no-icon.o \
		printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o midend.o misc.o net.o \
		no-icon.o printing.o ps.o random.o tree234.o version.o  \
		$(XLIBS)

netslide: drawing.o gtk.o malloc.o midend.o misc.o netslide.o no-icon.o \
		printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o netslide.o \
		no-icon.o printing.o ps.o random.o tree234.o version.o  \
		$(XLIBS)

nullgame: drawing.o gtk.o malloc.o midend.o misc.o no-icon.o nullgame.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o no-icon.o \
		nullgame.o printing.o ps.o random.o version.o  $(XLIBS)

obfusc: malloc.o misc.o nullfe.o obfusc.o random.o
	$(CC) -o $@ malloc.o misc.o nullfe.o obfusc.o random.o  $(ULIBS)

pattern: drawing.o gtk.o malloc.o midend.o misc.o no-icon.o pattern.o \
		printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o no-icon.o \
		pattern.o printing.o ps.o random.o version.o  $(XLIBS)

patternsolver: malloc.o misc.o nullfe.o pattern2.o random.o
	$(CC) -o $@ malloc.o misc.o nullfe.o pattern2.o random.o  $(ULIBS)

pegs: drawing.o gtk.o malloc.o midend.o misc.o no-icon.o pegs.o printing.o \
		ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o no-icon.o \
		pegs.o printing.o ps.o random.o tree234.o version.o  \
		$(XLIBS)

rect: drawing.o gtk.o malloc.o midend.o misc.o no-icon.o printing.o ps.o \
		random.o rect.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o rect.o version.o  $(XLIBS)

samegame: drawing.o gtk.o malloc.o midend.o misc.o no-icon.o printing.o ps.o \
		random.o samegame.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o samegame.o version.o  $(XLIBS)

singles: drawing.o dsf.o gtk.o latin.o malloc.o maxflow.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o singles.o tree234.o \
		version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o latin.o malloc.o maxflow.o \
		midend.o misc.o no-icon.o printing.o ps.o random.o singles.o \
		tree234.o version.o  $(XLIBS)

singlessolver: dsf.o latin.o malloc.o maxflow.o misc.o nullfe.o random.o \
		singles3.o tree234.o
	$(CC) -o $@ dsf.o latin.o malloc.o maxflow.o misc.o nullfe.o \
		random.o singles3.o tree234.o  $(ULIBS)

sixteen: drawing.o gtk.o malloc.o midend.o misc.o no-icon.o printing.o ps.o \
		random.o sixteen.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o sixteen.o version.o  $(XLIBS)

slant: drawing.o dsf.o gtk.o malloc.o midend.o misc.o no-icon.o printing.o \
		ps.o random.o slant.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o slant.o version.o  $(XLIBS)

slantsolver: dsf.o malloc.o misc.o nullfe.o random.o slant2.o
	$(CC) -o $@ dsf.o malloc.o misc.o nullfe.o random.o slant2.o  \
		$(ULIBS)

solo: divvy.o drawing.o dsf.o gtk.o malloc.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o solo.o version.o
	$(CC) -o $@ divvy.o drawing.o dsf.o gtk.o malloc.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o solo.o version.o  \
		$(XLIBS)

solosolver: divvy.o dsf.o malloc.o misc.o nullfe.o random.o solo2.o
	$(CC) -o $@ divvy.o dsf.o malloc.o misc.o nullfe.o random.o solo2.o  \
		$(ULIBS)

tents: drawing.o dsf.o gtk.o malloc.o maxflow.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o tents.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o maxflow.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o tents.o version.o  \
		$(XLIBS)

tentssolver: dsf.o malloc.o maxflow.o misc.o nullfe.o random.o tents3.o
	$(CC) -o $@ dsf.o malloc.o maxflow.o misc.o nullfe.o random.o \
		tents3.o  $(ULIBS)

towers: drawing.o gtk.o latin.o malloc.o maxflow.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o towers.o tree234.o version.o
	$(CC) -o $@ drawing.o gtk.o latin.o malloc.o maxflow.o midend.o \
		misc.o no-icon.o printing.o ps.o random.o towers.o tree234.o \
		version.o  $(XLIBS)

towerssolver: latin6.o malloc.o maxflow.o misc.o nullfe.o random.o towers2.o \
		tree234.o
	$(CC) -o $@ latin6.o malloc.o maxflow.o misc.o nullfe.o random.o \
		towers2.o tree234.o  $(ULIBS)

twiddle: drawing.o gtk.o malloc.o midend.o misc.o no-icon.o printing.o ps.o \
		random.o twiddle.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o no-icon.o \
		printing.o ps.o random.o twiddle.o version.o  $(XLIBS)

unequal: drawing.o gtk.o latin.o malloc.o maxflow.o midend.o misc.o \
		no-icon.o printing.o ps.o random.o tree234.o unequal.o \
		version.o
	$(CC) -o $@ drawing.o gtk.o latin.o malloc.o maxflow.o midend.o \
		misc.o no-icon.o printing.o ps.o random.o tree234.o \
		unequal.o version.o  $(XLIBS)

=== debian/changelog ===
sgt-puzzles (8853-1maemo2) karmic; urgency=low

  * fix sgt-launcher to work when user has changed partitioning
  * add copyright file
  * add help by popular demand

 -- Riku Voipio <riku.voipio@iki.fi>  Tue,  9 Mar 2010 13:39:51 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: sgt-puzzles
 Architecture: any
-Depends: ${shlibs:Depends}, python-hildon
+Depends: ${shlibs:Depends}, python-hildon (>=0.9.0-1maemo15)
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=sgt-puzzles
 XB-Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAIAAAAmKNuZAAAAAXNSR0IArs4c

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 build-arch: build-arch-stamp
 build-arch-stamp: Makefile
 	$(MAKE) "VER=-DREVISION=$(UPSTREAM_VERSION)" \
-	    "XFLAGS=-DDEBIAN_VERSION=\"\\\"$(DEBIAN_VERSION)\\\"\" -DSTYLUS_BASED=1 -DHELP_BROWSER_PATH=\"\\\"yelp:khelpcenter:sensible-browser\\\"\"" \
+	    "XFLAGS=-DSTYLUS_BASED=1" \
 	    puzzles
 #	$(MAKE) -f Makefile.doc
 	touch build-arch-stamp
@@ -70,6 +70,7 @@
 	install -m755 debian/sgt-launcher debian/sgt-puzzles/opt/sgt-puzzles/
 	mkdir -p -m755  debian/sgt-puzzles/opt/sgt-puzzles/pixmaps/
 	install -m644 debian/desktop/*.xpm debian/sgt-puzzles/opt/sgt-puzzles/pixmaps/
+	cp -a debian/help debian/sgt-puzzles/opt/sgt-puzzles/
 	dh_installdeb
 	dh_gencontrol
 	dh_md5sums

=== debian/watch ===
# Upstream homepage links to a file called puzzles.tar.gz which
# redirects to puzzles-r$version.tar.gz.  uscan can't check that.
# However, this is a nightly snapshot numbered according to the SVN
# revision number, so we can extract the version number from its web
# view.
version=3
opts="filenamemangle=s/.*\?rev=(\d+).*/sgt-puzzles_$1.orig.tar.gz/,downloadurlmangle=s@.*\?rev=(\d+).*@http://www.chiark.greenend.org.uk/~sgtatham/puzzles/puzzles-r$1.tar.gz@" \
http://svn.tartarus.org/sgt/puzzles/ /sgt\?rev=(\d+)\&view=rev

## sgt-puzzles 8853-1maemo3

=== debian/changelog ===
sgt-puzzles (8853-1maemo3) karmic; urgency=low

  * fix sgt-launcher to work when user has changed partitioning
  * add copyright file
  * add help by popular demand

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 23 Mar 2010 07:59:51 +0000
